JsonGenerationException
Date: 2016-12-03

com.fasterxml.jackson.core

## Class JsonGenerationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.core.JsonGenerationException

- All Implemented Interfaces:
    java.io.Serializable

      public class JsonGenerationException
      extends JsonProcessingException

  Exception type for exceptions during JSON writing, such as trying to output content in wrong context (non-matching end-array or end-object, for example).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JsonGenerator` | `_processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonGenerationException(java.lang.String msg)` Deprecated.
    `JsonGenerationException(java.lang.String msg, JsonGenerator g)`
    `JsonGenerationException(java.lang.String msg, java.lang.Throwable rootCause)` Deprecated.
    `JsonGenerationException(java.lang.String msg, java.lang.Throwable rootCause, JsonGenerator g)`
    `JsonGenerationException(java.lang.Throwable rootCause)` Deprecated.
    `JsonGenerationException(java.lang.Throwable rootCause, JsonGenerator g)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonGenerator` | `getProcessor()` Method that allows accessing underlying processor that triggered this exception; typically either `JsonParser` or `JsonGenerator` for exceptions that originate from streaming API.
    `JsonGenerationException` | `withGenerator(JsonGenerator g)` Fluent method that may be used to assign originating `JsonGenerator`, to be accessed using `getProcessor()`.

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `getLocation, getMessage, getMessageSuffix, getOriginalMessage, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _processor

          protected transient JsonGenerator _processor

  - ### Constructor Detail

    - #### JsonGenerationException

          @Deprecated
          public JsonGenerationException(java.lang.Throwable rootCause)

      Deprecated.

    - #### JsonGenerationException

          @Deprecated
          public JsonGenerationException(java.lang.String msg)

      Deprecated.

    - #### JsonGenerationException

          @Deprecated
          public JsonGenerationException(java.lang.String msg,
                                            java.lang.Throwable rootCause)

      Deprecated.

    - #### JsonGenerationException

          public JsonGenerationException(java.lang.Throwable rootCause,
                                 JsonGenerator g)

      Since:
        2.7

    - #### JsonGenerationException

          public JsonGenerationException(java.lang.String msg,
                                 JsonGenerator g)

      Since:
        2.7

    - #### JsonGenerationException

          public JsonGenerationException(java.lang.String msg,
                                 java.lang.Throwable rootCause,
                                 JsonGenerator g)

      Since:
        2.7

  - ### Method Detail

    - #### withGenerator

          public JsonGenerationException withGenerator(JsonGenerator g)

      Fluent method that may be used to assign originating `JsonGenerator`, to be accessed using `getProcessor()`.
      Since:
        2.7

    - #### getProcessor

          public JsonGenerator getProcessor()

      Description copied from class: `JsonProcessingException`
      Method that allows accessing underlying processor that triggered this exception; typically either `JsonParser` or `JsonGenerator` for exceptions that originate from streaming API. Note that it is possible that `null` may be returned if code throwing exception either has no access to processor; or has not been retrofitted to set it; this means that caller needs to take care to check for nulls. Subtypes override this method with co-variant return type, for more type-safe access.
      Overrides:
        `getProcessor` in class `JsonProcessingException`
      Returns:
        Originating processor, if available; null if not.